TensorFlow不同版本引起的错误

转载 2018年04月17日 09:30:35

这几天分别基于tensorflow0.11和1.0版本测试,记录下两个版本不同的API,

参考:http://blog.csdn.NET/edwards_june/article/details/65652385


前4个是 V0.11 的API 用在 V1.0 的错误

1. AttributeError: 'module' object has no attribute 'merge_all_summaries'

>> tf.merge_all_summaries() 改为:summary_op = tf.summary.merge_all()


2. AttributeError: 'module' object has no attribute 'SummaryWriter'

>> tf.train.SummaryWriter 改为:tf.summary.FileWriter


3. AttributeError: 'module' object has no attribute 'scalar_summary'

>> tf.scalar_summary 改为:tf.summary.scalar


4. AttributeError: 'module' object has no attribute 'histogram_summary'

>> histogram_summary 改为:tf.summary.histogram

下边这个是 V1.0 的API 用在 V0.11 的错误
File "dis-alexnet_benchmark.py", line 110, in alexnet_v2
    biases_initializer=tf.zeros_initializer(),
TypeError: zeros_initializer() takes at least 1 argument (0 given)
>> 将 biases_initializer=tf.zeros_initializer() 改为:biases_initializer=tf.zeros_initializer

pandas read_csv 错误: pandas.parser.CParserError: Error tokenizing data. C error

今天panda.read_csv时遇到以下错误: File "/root/anaconda2/lib/python2.7/site-packages/pandas/io/parsers.py", l...
  • leiting_imecas
  • leiting_imecas
  • 2017-03-31 19:16:51
  • 4914

已解决:用anaconda安装最新的TensorFlow版本

用anaconda安装最新的TensorFlow版本存在问题: 一般从anaconda官网下载的anaconda,查看tensorflow依然还是1.2的版本,现在用conda更新TensorFlow...
  • qq_35203425
  • qq_35203425
  • 2018-04-16 20:01:59
  • 56

AttributeError: module 'tensorflow.python.platform.flags' has no attribute 'mark_flag_as_required'

我的版本是tensorflow-gpu 1.2 然后就会报错,我的输出为: whsyxt@whsyxt:~/Downloads/gaoshengwu/models/research/object_de...
  • w5688414
  • w5688414
  • 2017-12-12 14:22:59
  • 969

tf.train.SummaryWriter()

tensorflow 新版取消了tf.train.SummaryWriter(),换成使用tf.summary.FileWriter()
  • LOVE_CODE_LOVE_LIFE
  • LOVE_CODE_LOVE_LIFE
  • 2017-08-16 11:33:42
  • 1723

1+入门html

html 基本布局<!DOCTYPE html>                    //这个是html文件声明     <html>    ...
  • LOVE_CODE_LOVE_LIFE
  • LOVE_CODE_LOVE_LIFE
  • 2018-03-17 11:30:48
  • 9

TensorFlow过程可视化--不同版本引起的错误

Tensorflow 运行过程的可视化:## 可视化好帮手 ## import tensorflow as tf import numpy as np def add_layer(inputs,i...
  • qq_35203465
  • qq_35203465
  • 2018-03-22 17:49:52
  • 24

使用python+oracle 11g开发web应用

Developing a Python Web Application with Oracle Database 11g Purpose This tutorial shows you how...
  • lively1982
  • lively1982
  • 2016-07-22 14:44:30
  • 1177

windows10下cuda8.0+cudnn6.0+PYthon3.5.3+tensorflow安装

1.安装tensorflow的版本有CPU和GPU两种,安装支持GPU运算的tensorflow时,需要先安装下面这2个驱动。 1)CUDA   https://developer.nvidia.co...
  • zhuiyuanzhongjia
  • zhuiyuanzhongjia
  • 2017-08-22 10:35:17
  • 1084

因tensorflow版本不同导致报错

报错: tf.scalar_summary(l.op.name + ’ (raw)’, l) AttributeError: ‘module’ object has no attribute ‘s...
  • u013381011
  • u013381011
  • 2017-12-24 18:12:14
  • 166

Tensorflow的seq2seq使用在不同版本的差异

Tensorflow版本大于V1.0和V1.0版本之间还是存在一些区别,这次主要记录自己在使用dynamic_decode时发现的问题。 在构造Decoder的过程中,一般顺序为: 1、得到hel...
  • LIWENXIE
  • LIWENXIE
  • 2018-02-01 16:19:48
  • 50
收藏助手
不良信息举报
您举报文章:TensorFlow不同版本引起的错误
举报原因:
原因补充:

(最多只允许输入30个字)